// creator  : weidu.exe (version 23100)
// argument : _GARAN.DLG
// game		 : .
// source	 : ./override/_GARAN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_GARAN~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #84353 /* ~Newcomers, stop where you are!  I have questions to pose to you, and you will answer them swiftly and accurately, or you will be killed.  I will warn you now that I possess powerful magics, and will be able to discern almost any lie that you try to tell.~ */
  IF ~~ THEN REPLY #84354 /* ~Who are you exactly, and what are you doing on an ice island in the middle of the ocean?~ */ GOTO 1
  IF ~~ THEN REPLY #84355 /* ~We are the party of <CHARNAME>, and have come to find Shandalar's stolen cloak.~ */ GOTO 2
  IF ~~ THEN REPLY #84356 /* ~I am Dinklemus Littlelog, and have come here in search of the holy groundhog.~ */ GOTO 3
  IF ~~ THEN REPLY #84357 /* ~We're trapped here, just like you.  We angered a mage of great power and he transported us here as punishment.~ */ GOTO 4
  IF ~Global("X#QuaGar","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#QuaGar","GLOBAL",1)~ EXTERN ~_QUAYLJ~ 11
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #84358 /* ~I am Garan, and have been trapped on this infernal island ever since I tried to teleport from Maztica to Waterdeep.  But it is not you who should be asking the questions.  You have not answered my question yet; answer now or suffer the consequences.~ */
  IF ~~ THEN REPLY #84355 /* ~We are the party of <CHARNAME>, and have come to find Shandalar's stolen cloak.~ */ GOTO 2
  IF ~~ THEN REPLY #84356 /* ~I am Dinklemus Littlelog, and have come here in search of the holy groundhog.~ */ GOTO 3
  IF ~~ THEN REPLY #84357 /* ~We're trapped here, just like you.  We angered a mage of great power and he transported us here as punishment.~ */ GOTO 4
  IF ~~ THEN REPLY #84359 /* ~What were you doing in Maztica?~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #84360 /* ~You have come to take Shandalar's cloak, eh?  Well, he must have given you something to get off of the island, something that I intend to have.  Prepare to die, fools!~ */
  IF ~~ THEN DO ~Enemy()
CreateCreature("_ANKHEG",[912.1057],0)
CreateCreature("_ANKHEG",[822.1029],0)
CreateCreature("_ANKHEG",[1198.1011],0)
CreateCreature("_ANKHEG",[1220.1172],0)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1 0.2
  SAY #84361 /* ~Your joke will be the last that you ever make; now you DIE!~ */
  IF ~~ THEN DO ~Enemy()
CreateCreature("_ANKHEG",[912.1057],0)
CreateCreature("_ANKHEG",[822.1029],0)
CreateCreature("_ANKHEG",[1198.1011],0)
CreateCreature("_ANKHEG",[1220.1172],0)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.2 0.3
  SAY #84362 /* ~Bah!  You're of no use to me... except perhaps as food for my animals.  Come, my pets; let us feast on these pathetic adventurers.~ */
  IF ~~ THEN DO ~Enemy()
CreateCreature("_ANKHEG",[912.1057],0)
CreateCreature("_ANKHEG",[822.1029],0)
CreateCreature("_ANKHEG",[1198.1011],0)
CreateCreature("_ANKHEG",[1220.1172],0)
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.3
  SAY #84363 /* ~I told you that I ask the questions!!!  Your stupidity will cost you dearly!~ */
  IF ~~ THEN DO ~Enemy()
CreateCreature("_ANKHEG",[912.1057],0)
CreateCreature("_ANKHEG",[822.1029],0)
CreateCreature("_ANKHEG",[1198.1011],0)
CreateCreature("_ANKHEG",[1220.1172],0)
~ EXIT
END
